Subject: RE: [midcom] Protocol Eval: Section 1.5 COPS

From: "Mary Barnes" <[email-masked]>
Date: Wed, 26 Jun 2002 10:05:40 -0500

Martin,

I still believe that this is quite clear with the text currently provided
for COPS.  The text associated with 2.1.1 for COPS identifies that the COPS
model is that the PEP establishes communication with a PDP.  

The only proposal I would have would be reiterate the model and put
"(Middlebox)" after "PEP" and "(Midcom Agent)" after "PDP" in the
description in section 2.1.1.  

If the concensus is that we need to further highlight these architectural
inconsistencies, then we do need to ensure that the same is done for all the
protocols. 

Mary. 
  
-----Original Message-----
From: Martin Stiemerling [mailto:[email-masked]]
Sent: Wednesday, June 26, 2002 3:07 AM
To: Barnes, Mary [NGC:B602:EXCH]
Cc: [email-masked]
Subject: Re: [midcom] Protocol Eval: Section 1.5 COPS

Mary Barnes wrote:
> Martin,
> 
> I think it does say this:
> 
> In section 1.5.1, there's a statement:
>     COPS is a simple query and response protocol that can be used to  
>     exchange policy information between a policy server (Policy 
>     Decision Point or PDP) and its clients (Policy Enforcement Points 
>     or PEPs). 
> 
> And then in section 1.5.2,  the applicability of COPS to MIDCOM is
described
> as:
>     In the MIDCOM framework, the Middlebox enforces the policy   
>     controlled by an application-aware Agent. Thus, when compared to 
>     the COPS architecture, the Middlebox serves as the PEP and the 
>     Midcom Agent serves as the PDP.
> 
> I think the point you're making is that this is perhaps a model that is
the
> inverse of what one might expect for MIDCOM.  And I think this is quite

Not "might expect". The framework says how the architecture looks like. :-)

> clear in that the COPS protocol fails to meet the 1st requirement 2.1.1
> "Ability to establish association between Agent and Middlebox". 

That's right. My point is that readers that are not that familiar with 
the COPS architecture may be confused. Since using a lot of 
abbreviations, like PEP and PDP, do not always highlight the fact that 
the architecture is reversed.

Martin

> 
> Mary. 
> 
> -----Original Message-----
> From: Martin Stiemerling [mailto:[email-masked]]
> Sent: Monday, June 24, 2002 6:36 AM
> To: [email-masked]
> Subject: [midcom] Protocol Eval: Section 1.5 COPS
> 
> 
> The protocol overview doesn't mention the diffence of who is client and 
> who is server. In my opinion this difference should be mentioned, since 
> the COPS server is the MIDCOM client/agent and the COPS client ist the 
> MIDCOM server/middle box. Especially in the context that the MIDCOM 
> framework defines the server/client relationship different to COPS.
> 

-- 
Martin Stiemerling

NEC Europe Ltd. -- Network Laboratories  [email-masked]
IPv4: http://www.ccrle.nec.de  IPv6: http://www.ipv6.ccrle.nec.de

---

From: Martin Stiemerling <[email-masked]>
Date: Thu, 27 Jun 2002 09:50:57 +0200

Mary Barnes wrote:
> Martin,
> 
> I still believe that this is quite clear with the text currently 
> provided for COPS.  The text associated with 2.1.1 for COPS identifies 
> that the COPS model is that the PEP establishes communication with a PDP. 
> 

OK, agreed.

> 
> If the concensus is that we need to further highlight these 
> architectural inconsistencies, then we do need to ensure that the same 
> is done for all the protocols.

As far as I see the above proposal is OK.

Martin

>  > I think the point you're making is that this is perhaps a model that 
> is the

-- 
Martin Stiemerling

_______________________________________________
midcom mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/midcom